List videos
GET
List the videos tracked in your organization, each with metrics (views, likes, comments, shares) and its account/creator/campaign. Supports offset/limit paging and filters (creatorIds, accountIds, campaignIds, platforms, dateRange). Use a returned video id with get_video.
apiKeyAuthheader
x-api-key<token>API key for authentication. Keys are prefixed with cops_.
accountScope?stringValue in
"campaign""tracked"creatorIds?array<>accountIds?array<>campaignIds?array<>platforms?array<>dateRange?metricFilters?sortBy?stringValue in
"title""platform""accountHandle""viralityMultiplier""views""likes""comments""shares""bookmarks""engagement""publishedAt""updatedAt"sortOrder?stringValue in
"asc""desc"limit?integerRange
-9007199254740991 <= value <= 9007199254740991offset?integerRange
0 <= value <= 9007199254740991showExcluded?booleanResponse schema unavailable.
curl -X GET 'https://cops.app/api/brand/videos'Example Response200
Empty